## caml2html 1.4.1

=== Makefile ===
VERSION = 1.4.1
export VERSION

ifndef PREFIX
  PREFIX = $(shell dirname $(shell dirname `which ocamlc`))
endif
ifndef BINDIR
  BINDIR = $(PREFIX)/bin
endif
ifndef OCAMLC
  OCAMLC = ocamlc -w A
endif
ifndef OCAMLOPT
  OCAMLOPT = ocamlopt
endif
ifndef OCAMLLEX
  OCAMLLEX = ocamllex
endif
ifndef OCAMLDEP
  OCAMLDEP = ocamldep
endif

MODULES = hashtbl2 version annot tag plugin input output output_latex main

OBJS = $(patsubst %, %.cmo, $(MODULES))
OBJS-NAT = $(patsubst %, %.cmx, $(MODULES))

.PHONY: default
default: caml2html test

### GODI targets ###
.PHONY: all opt install
all: byte bytelib
opt: caml2html optlib
install:
	install -m 0755 caml2html $(BINDIR) || \
		install -m 0755 caml2html.byte $(BINDIR)/caml2html
	test -f caml2html.cma -o -f caml2html.cmxa && $(MAKE) libinstall
uninstall:
	rm -f $(BINDIR)/caml2html
	$(MAKE) libuninstall || true
### end of GODI targets ###

.PHONY: pre byte test lib libinstall libuninstall \
        bytelib optlib tidy clean dep archive

pre: version.ml caml2html.mli caml2html.ml
caml2html.mli: annot.mli plugin.mli input.mli \
               output.mli output_latex.mli version.ml \
               caml2html.mli.mlx
	camlmix -clean caml2html.mli.mlx -o caml2html.mli
caml2html.ml: hashtbl2.mli hashtbl2.ml tag.ml annot.ml \
              plugin.ml input.ml output.ml output_latex.ml caml2html.ml.mlx
	camlmix -clean caml2html.ml.mlx -o caml2html.ml
version.ml: version.ml.mlx Makefile
	camlmix -clean version.ml.mlx -o version.ml

byte: caml2html.byte

test:
	rm -f caml2html_test.mli
	ocamlc -i caml2html_test.ml > caml2html_test.mli
	ocamlc -c caml2html_test.mli
	ocamlc -c -dtypes caml2html_test.ml
	./caml2html -o caml2html_test.html \
		caml2html_test.mli caml2html_test.ml caml2html_test2.ml \
		-ln -ie7 \
		-ext date:date \
		-ext cat:cat \
		-ext "rot13:tr '[a-z]' '[n-za-m]'"
	./caml2html -o caml2html_self_test.html \
		tag.ml annot.mli annot.ml plugin.mli plugin.ml \
		input.mli input.mll output.mli output.ml \
		output_latex.mli output_latex.ml \
		main.ml \
		-ln
	./caml2html -latex -o caml2html_self_test.tex \
		tag.ml annot.mli annot.ml plugin.mli plugin.ml \
		input.mli input.mll output.mli output.ml \
		output_latex.mli output_latex.ml \
		main.ml \
		-ln

caml2html: $(OBJS-NAT)
	$(OCAMLOPT) -o caml2html str.cmxa unix.cmxa $(OBJS-NAT)

caml2html.byte: $(OBJS)
	$(OCAMLC) -custom -o caml2html.byte str.cma unix.cma $(OBJS)

lib: all bytelib optlib

libinstall:
	ocamlfind install caml2html META caml2html.mli caml2html.cmi \
		caml2html.*a

libuninstall:
	ocamlfind remove caml2html

bytelib: $(OBJS) caml2html.cmi caml2html.cmo
	$(OCAMLC) -a -o caml2html.cma caml2html.cmo

optlib: $(OBJS-NAT) caml2html.cmi caml2html.cmx
	$(OCAMLOPT) -a -o caml2html.cmxa caml2html.cmx


# remove everything that we don't want to include into the archive
tidy:
	rm -f caml2html caml2html.byte \
		*.cm[ixoa] *.cmxa *.a *.obj *.o *~ *.annot \
		*.ml.html caml2html_test.html caml2html_self_test.html \
		caml2html_self_test.tex

# remove everything that is not a source file
clean: tidy
	rm -f input.ml *.mlx.ml \
		caml2html.ml caml2html.mli version.ml caml2html_test.mli \
		caml2html.html caml2html-help

dep: input.ml
	$(OCAMLDEP) hashtbl2.mli hashtbl2.ml version.ml annot.mli annot.ml \
		tag.ml plugin.mli plugin.ml input.mli input.ml \
		output.mli output.ml output_latex.mli output_latex.ml \
		main.ml > depend

.SUFFIXES: .mll .mly .ml .mli .cmi .cmo .cmx

.mll.ml:
	$(OCAMLLEX) $<
.mly.ml:
	$(OCAMLYACC) $<
.mli.cmi:
	$(OCAMLC) -c $<
.ml.cmo:
	$(OCAMLC) -dtypes -c $<
.ml.cmx:
	$(OCAMLOPT) -dtypes -c $<

-include depend

input.ml: input.mll


################ Only for developers
P = caml2html-$(VERSION)

caml2html.html: caml2html caml2html.html.mlx
	./caml2html -help > caml2html-help
	camlmix -o caml2html.html caml2html.html.mlx

archive: pre opt test caml2html.html
	@echo "Making archive for version $(VERSION)"
	rm -rf /tmp/$(P) && \
	 	cp -rp . /tmp/$(P) && \
		cd /tmp/$(P) && $(MAKE) tidy && \
			rm -f *~ caml2html*.tar* && \
		cd .. && tar czf $(P).tar.gz $(P) && \
		tar cjf $(P).tar.bz2 $(P)
	mv /tmp/$(P).tar.gz /tmp/$(P).tar.bz2 .
	cp $(P).tar.gz $(P).tar.bz2 $$WWW/
	cp $(P).tar.gz $(P).tar.bz2 ../releases/
	cd $$WWW/ && ln -sf $(P).tar.gz caml2html.tar.gz && \
		ln -sf $(P).tar.bz2 caml2html.tar.bz2
	cp caml2html.html $$WWW/caml2html-help.html
	cp README $$WWW/caml2html-readme.txt
	cp history.txt $$WWW/caml2html-history.txt
	cp version.ml $$WWW/caml2html-version.ml
	cp caml2html_test.ml $$WWW/
	cp caml2html_test.html $$WWW/
	touch -c $$WWW/caml2html.html.mlx

=== debian/changelog ===
caml2html (1.4.1-3build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:39:15 +0000

caml2html (1.4.1-3) unstable; urgency=low

  * Team upload
  * Recompile with OCaml 3.12.1 (no changes)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Nov 2011 18:31:16 +0100

caml2html (1.4.1-2) unstable; urgency=low

  * Team upload
  * Rebuild with OCaml 3.12.0 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 Apr 2011 08:41:52 +0200

caml2html (1.4.1-1) unstable; urgency=low

  * Initial release. (Closes: #605741)

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 03 Dec 2010 00:45:09 +0100

=== debian/control ===
Source: caml2html
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~),
  camlmix
Standards-Version: 3.9.2
Homepage: http://martin.jambon.free.fr/caml2html.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/caml2html.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/caml2html.git

Package: caml2html
Architecture: all
Depends: ${ocaml:Depends}, ${misc:Depends}
Description: HTML and LaTeX colored syntax from OCaml source files
 Caml2html provides a command-line executable which converts a set of
 OCaml source files into a HTML or LaTeX document with colored syntax. A
 library is also provided for building web-page generators that would color
 OCaml code appropriately.

Package: libcaml2html-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: HTML and LaTeX colored syntax from OCaml source files
 Caml2html provides a command-line executable which converts a set of
 OCaml source files into a HTML or LaTeX document with colored syntax. A
 library is also provided for building web-page generators that would color
 OCaml code appropriately.
 .
 This package contains the library.

Package: libcaml2html-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: HTML and LaTeX colored syntax from OCaml source files
 Caml2html provides a command-line executable which converts a set of
 OCaml source files into a HTML or LaTeX document with colored syntax. A
 library is also provided for building web-page generators that would color
 OCaml code appropriately.
 .
 This package contains the shared runtime library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) byte
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) lib
else
	$(MAKE) bytelib
endif 

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	mkdir -p '$(DESTDIR)/usr/bin'
	make install 'BINDIR=$(DESTDIR)/usr/bin'

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) tidy

debian/caml2html.1: debian/caml2html.mkd
	pandoc -s -w man $^ -o $@

=== debian/watch ===
version=3
http://martin.jambon.free.fr/caml2html.html caml2html-([\d\.]*)\.tar\.gz

## caml2html 1.4.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.4.1
+VERSION = 1.4.3
 export VERSION
 
 ifndef PREFIX

=== debian/changelog ===
caml2html (1.4.3-1build3) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 15:53:00 +0000

caml2html (1.4.3-1build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 21:34:53 -0600

caml2html (1.4.3-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:01:43 +0000

caml2html (1.4.3-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * unapply debian-changes patch in master
  * update watch (thanks to Bart Martens)
  * bump debhelper compat and standards version
  * update homepage
  * add myself as uploader
  * update dependencies, change to architecture any and native compilation
  * update rules, *install files
  * update copyright
  * remove dubious debian-changes patch, 
    save part for ocamldoc fix in new patch fix-ocamldoc-html-tags
  * improve man page

 -- Hendrik Tews <hendrik@askra.de>  Fri, 31 May 2013 16:22:48 +0200

=== debian/control ===
Source: caml2html
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Hendrik Tews <hendrik@askra.de>
Build-Depends:
  debhelper (>= 9),
  dh-ocaml (>= 0.9~),
  ocaml-nox (>= 3.11.1-3~),
  ocaml-best-compilers,
  camlp4,
  ocaml-findlib,
  libfindlib-ocaml-dev,
  libocamlnet-ocaml-dev,
  libmikmatch-ocaml-dev,
  camlmix
Standards-Version: 3.9.4
Homepage: http://mjambon.com/caml2html.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/caml2html.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/caml2html.git

Package: caml2html
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Description: HTML and LaTeX colored syntax from OCaml source files - executable
 Caml2html provides a command-line executable which converts a set of
 OCaml source files into a HTML or LaTeX document with colored syntax. A
 library is also provided for building web-page generators that would color
 OCaml code appropriately.
 .
 This package contains the caml2html executable.

Package: libcaml2html-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: HTML and LaTeX colored syntax from OCaml source files - dev files
 Caml2html provides a command-line executable which converts a set of
 OCaml source files into a HTML or LaTeX document with colored syntax. A
 library is also provided for building web-page generators that would color
 OCaml code appropriately.
 .
 This package contains the development files for programming with the
 library.

Package: libcaml2html-ocaml
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: HTML and LaTeX colored syntax from OCaml source files - plugins
 Caml2html provides a command-line executable which converts a set of
 OCaml source files into a HTML or LaTeX document with colored syntax. A
 library is also provided for building web-page generators that would color
 OCaml code appropriately.
 .
 This package contains the shared runtime library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) OCAMLOPT=ocamlopt.opt OCAMLC=ocamlc.opt opt bytelib
else
	$(MAKE) byte bytelib
	mv caml2html.byte caml2html
endif
	./caml2html -help > caml2html-help
	camlmix -o caml2html.html caml2html.html.mlx


.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	mkdir -p '$(DESTDIR)/usr/bin'
	make install 'BINDIR=$(DESTDIR)/usr/bin'


.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

## caml2html 1.4.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.4.3
+VERSION = 1.4.4
 export VERSION
 
 ifndef PREFIX
@@ -8,7 +8,7 @@
   BINDIR = $(PREFIX)/bin
 endif
 ifndef OCAMLC
-  OCAMLC = ocamlc -w A
+  OCAMLC = ocamlc
 endif
 ifndef OCAMLOPT
   OCAMLOPT = ocamlopt
@@ -20,24 +20,30 @@
   OCAMLDEP = ocamldep
 endif
 
+ifeq "$(shell $(OCAMLC) -config |grep os_type)" "os_type: Win32"
+EXE=caml2html.exe
+else
+EXE=caml2html
+endif
+
 MODULES = hashtbl2 version annot tag plugin input output output_latex main
 
 OBJS = $(patsubst %, %.cmo, $(MODULES))
 OBJS-NAT = $(patsubst %, %.cmx, $(MODULES))
 
 .PHONY: default
-default: caml2html test
+default: $(EXE) test
 
 ### GODI targets ###
 .PHONY: all opt install
 all: byte bytelib
-opt: caml2html optlib
+opt: $(EXE) optlib
 install:
-	install -m 0755 caml2html $(BINDIR) || \
-		install -m 0755 caml2html.byte $(BINDIR)/caml2html
+	install -m 0755 $(EXE) $(BINDIR) || \
+		install -m 0755 caml2html.byte $(BINDIR)/$(EXE)
 	test -f caml2html.cma -o -f caml2html.cmxa && $(MAKE) libinstall
 uninstall:
-	rm -f $(BINDIR)/caml2html
+	rm -f $(BINDIR)/$(EXE)
 	$(MAKE) libuninstall || true
 ### end of GODI targets ###
 
@@ -62,27 +68,27 @@
 	ocamlc -i caml2html_test.ml > caml2html_test.mli
 	ocamlc -c caml2html_test.mli
 	ocamlc -c -dtypes caml2html_test.ml
-	./caml2html -o caml2html_test.html \
+	./$(EXE) -o caml2html_test.html \
 		caml2html_test.mli caml2html_test.ml caml2html_test2.ml \
 		-ln -ie7 \
 		-ext date:date \
 		-ext cat:cat \
 		-ext "rot13:tr '[a-z]' '[n-za-m]'"
-	./caml2html -o caml2html_self_test.html \
+	./$(EXE) -o caml2html_self_test.html \
 		tag.ml annot.mli annot.ml plugin.mli plugin.ml \
 		input.mli input.mll output.mli output.ml \
 		output_latex.mli output_latex.ml \
 		main.ml \
 		-ln
-	./caml2html -latex -o caml2html_self_test.tex \
+	./$(EXE) -latex -o caml2html_self_test.tex \
 		tag.ml annot.mli annot.ml plugin.mli plugin.ml \
 		input.mli input.mll output.mli output.ml \
 		output_latex.mli output_latex.ml \
 		main.ml \
 		-ln
 
-caml2html: $(OBJS-NAT)
-	$(OCAMLOPT) -o caml2html str.cmxa unix.cmxa $(OBJS-NAT)
+$(EXE): $(OBJS-NAT)
+	$(OCAMLOPT) -o $(EXE) str.cmxa unix.cmxa $(OBJS-NAT)
 
 caml2html.byte: $(OBJS)
 	$(OCAMLC) -custom -o caml2html.byte str.cma unix.cma $(OBJS)
@@ -105,7 +111,7 @@
 
 # remove everything that we don't want to include into the archive
 tidy:
-	rm -f caml2html caml2html.byte \
+	rm -f $(EXE) caml2html.byte \
 		*.cm[ixoa] *.cmxa *.a *.obj *.o *~ *.annot \
 		*.ml.html caml2html_test.html caml2html_self_test.html \
 		caml2html_self_test.tex
@@ -143,8 +149,8 @@
 ################ Only for developers
 P = caml2html-$(VERSION)
 
-caml2html.html: caml2html caml2html.html.mlx
-	./caml2html -help > caml2html-help
+caml2html.html: caml2html.byte caml2html.html.mlx
+	./caml2html.byte -help > caml2html-help
 	camlmix -o caml2html.html caml2html.html.mlx
 
 archive: pre opt test caml2html.html

=== debian/changelog ===
caml2html (1.4.4-3build2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:43:19 +0200

caml2html (1.4.4-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 23:07:17 +0100

caml2html (1.4.4-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Update watch file
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields: Repository-Browse
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 07:50:27 +0200

caml2html (1.4.4-2) unstable; urgency=medium

  * Team upload
  * Fix build with OCaml 4.07

 -- Stéphane Glondu <glondu@debian.org>  Mon, 19 Aug 2019 11:22:23 +0200

caml2html (1.4.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Remove camlp4 and lib{ocamlnet,mikmatch}-ocaml-dev from Build-Depends
  * Update Vcs-*
  * Remove Hendrik from Uploaders
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Stéphane Glondu <glondu@debian.org>  Mon, 12 Aug 2019 02:40:09 +0200

caml2html (1.4.3-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with OCaml 4.05
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2017 00:49:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,26 @@
 Source: caml2html
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Hendrik Tews <hendrik@askra.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
-  debhelper (>= 9),
-  dh-ocaml (>= 0.9~),
-  ocaml-nox (>= 3.11.1-3~),
+  debhelper-compat (= 13),
+  dh-ocaml,
+  ocaml,
   ocaml-best-compilers,
-  camlp4,
   ocaml-findlib,
   libfindlib-ocaml-dev,
-  libocamlnet-ocaml-dev,
-  libmikmatch-ocaml-dev,
   camlmix
-Standards-Version: 3.9.4
-Homepage: http://mjambon.com/caml2html.html
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/caml2html.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/caml2html.git
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://github.com/mjambon/caml2html
+Vcs-Git: https://salsa.debian.org/ocaml-team/caml2html.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/caml2html
 
 Package: caml2html
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Description: HTML and LaTeX colored syntax from OCaml source files - executable
@@ -37,7 +34,7 @@
 Package: libcaml2html-ocaml-dev
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
@@ -54,7 +51,7 @@
 Package: libcaml2html-ocaml
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}

=== debian/watch ===
version=4
https://github.com/mjambon/caml2html/tags .*/archive/refs/tags/v(.*)\.tar\.gz
